kaid im Freetz WEB

XMENER

Neuer User
Mitglied seit
8 Feb 2007
Beiträge
108
Punkte für Reaktionen
0
Punkte
0
Hallöchen Leute.

Ich versuche mich gerade daran die Kaid (für xlinkai mit xbox)
ins freetz web ein zu bauen.
der status so weit liegt darin das die button für den dienst im WEB drin sind.
wenn ich darüber aber starten will.
kommt die meldung kaid starting failed.

kann mal jemand in die dateien rein schauen und mir sagen wo der fehler liegt?
die kaid mips die auf dem usb stick liegt hat volle rechte also 777

und die läuft auch wenn ich sie über telnet starte.
nur eben übers web gehts noch nicht.
 

Anhänge

RalfFriedl

IPPF-Urgestein
Mitglied seit
22 Apr 2007
Beiträge
12,343
Punkte für Reaktionen
0
Punkte
0
Vermutlich stimmt dann etwas mit dem Environment nicht.
Starte es mal aus der Shell mit
Code:
env - /etc/init.d/rc.kaid start
(oder wie auch immer es sonst gestartet wird, aber mit "env -" davor). Vielleicht bekommst Du dann hilfreiche Fehlermeldungen.
 

XMENER

Neuer User
Mitglied seit
8 Feb 2007
Beiträge
108
Punkte für Reaktionen
0
Punkte
0
wenn ich es im telnet starte mit dem code wie du gepostet hast dann kommt folgende meldung.

starting kaid.../etc/init.d/rc.kaid: line 05: kaid: not found failed.
 

Silent-Tears

IPPF-Promi
Mitglied seit
3 Aug 2007
Beiträge
7,456
Punkte für Reaktionen
0
Punkte
0
In dem Addon-Package ist auch kein Binary drin ,was gestärtet werden könnte. Es wird
Code:
$DAEMON -l [B]/var/media/ftp/uStor01/KAID/kaid[/B] -c /var/media/ftp/uStor01/KAID/kaid.conf > /var/media/ftp/uStor01/KAID/kaid.log
im fettgedruckten erwartet.
 

olistudent

IPPF-Urgestein
Mitglied seit
19 Okt 2004
Beiträge
14,779
Punkte für Reaktionen
10
Punkte
38
kaid ist nicht im Pfad.

MfG Oliver
 

XMENER

Neuer User
Mitglied seit
8 Feb 2007
Beiträge
108
Punkte für Reaktionen
0
Punkte
0
das Kaid liegt defintiv in diesem Pfad.
und hat auch chmod rechte 777
ein live start im telnet über diesen code (ohne $DAEMON -l )funtzt auch tadellos.

über debug.cfg hat es auch immer funktioniert.
ich zocke ja öffter damit.
 

RalfFriedl

IPPF-Urgestein
Mitglied seit
22 Apr 2007
Beiträge
12,343
Punkte für Reaktionen
0
Punkte
0
Wenn es funktioniert ohne "$DAEMON -l" und mit nicht, welche Schlüsse würdest Du daraus ziehen?

Und welchen Wert hat $DAEMON überhaupt?

Funktioniert es überhaupt mit "/etc/init.d/rc.kaid start", also ohne "env -" davor?
 

XMENER

Neuer User
Mitglied seit
8 Feb 2007
Beiträge
108
Punkte für Reaktionen
0
Punkte
0
ohne env davor kommt die gleiche fehler meldung.

wofür der Dämon eintrag ist weis ich auch nicht.
denn hat das Telnet, drobear, NFS usw auch.

ich probier heute Nacht wenn ich von arbeit zurück bin noch ein wenig mit dem Pfad code aus.
ich glaube ich hab ein "&" zeichen am ende vergessen.
das wird zwar das Problem nicht lösen. weil fritzchen ja mit zeile 5 ein Problem hat.
aber schauen wa mal.


*edit*

ich glaub ich hab den fehler gefunden muß ich nur heute nacht noch testen.
ich hab die pfade zur cnf datei falsch.
da läuft der deamon ja ins leere oder eben zur falschen datei. :D upps

ich hoffe das es das ist.
 
Zuletzt bearbeitet:

RalfFriedl

IPPF-Urgestein
Mitglied seit
22 Apr 2007
Beiträge
12,343
Punkte für Reaktionen
0
Punkte
0
Du weißt, daß Freetz in diesem Fall "/etc/init.d/rc.kaid start" aufruft, um den Dienst zu starten?
Wenn diese Datei den Dienst nicht starten kann, dann wird es auch nicht funktionieren.
 

XMENER

Neuer User
Mitglied seit
8 Feb 2007
Beiträge
108
Punkte für Reaktionen
0
Punkte
0
ich hab mal das Deamon zeugs raus gehauen aus der Datei.
und nur den start befehl für die kaid dort eingetragen.

somit läßt sich das kaid Problemlos übers Freetz web starten.
aber es gibt keine status anzeige mehr und ich kann auch dem zufolge nicht5 mehr beenden.
außer durch ein neustart der fritz.

klar das es noch nicht funtzt weil in status, restart immer noch das alte sind.

der actuelle status der rc datei sieht folgender maßen aus.
damit kann ich über den start button das kaid problemlos starten.


kann den code mal bitte jemand anpassen so das die anderen beiden Button und der status auch funtzt?

start() {
echo -n 'Starting kaid...'
/var/media/ftp/uStor01/KAID/kaid -c /var/media/ftp/uStor01/KAID/kaid.conf > /var/media/ftp/uStor01/KAID/kaid.log &
exitval=$?
if [ "$exitval" -eq 0 ]; then
echo 'done.'
else
echo 'failed.'
exit $exitval
fi
}

stop() {
echo -n 'Stopping kaid...'
killall kaid > /dev/null 2>&1
exitval=$?
if [ "$exitval" -eq 0 ]; then
echo 'done.'
else
echo 'failed.'
exit $exitval
fi
}

case "$1" in
""|load)
if [ "$MOD_KAID" != "yes" ]; then
if [ "$MOD_KAID" != "inetd" ]; then
echo "$DAEMON is disabled" 1>&2
else
echo "$DAEMON is started via inetd" 1>&2
fi
exit 1
fi

start
;;
unload)
stop
;;
start)
start
;;
stop)
stop
;;
restart)
stop
sleep 1
start
;;
status)
if [ "$MOD_KAID" == "inetd" ]; then
echo 'inetd'
else
if [ -z "$(pidof "$DAEMON")" ]; then
echo 'stopped'
else
echo 'running'
fi
fi
;;
*)
echo "Usage: $0 [load|unload|start|stop|restart|status]" 1>&2
exit 1
;;
esac

exit 0
 

3CX PBX - GRATIS
Linux / Win / Cloud

Statistik des Forums

Themen
232,904
Beiträge
2,027,990
Mitglieder
351,045
Neuestes Mitglied
linux76